Bug 122567

Summary: Add support for minsize/maxsize attributes
Product: WebKit Reporter: Frédéric Wang (:fredw) <fred.wang>
Component: MathMLAssignee: Frédéric Wang (:fredw) <fred.wang>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, buildbot, cfleizach, commit-queue, dbarton, esprehn+autocc, glenn, kondapallykalyan, mrobinson, rniwa
Priority: P2 Keywords: WebExposed
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
URL: http://www.w3.org/TR/MathML3/chapter3.html#presm.mo.attrs
Bug Depends on: 99620    
Bug Blocks: 124907    
Attachments:
Description Flags
Patch
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
none
Archive of layout-test-results from webkit-ews-07 for mac-mountainlion
none
image diff
none
Archive of layout-test-results from webkit-ews-04 for mac-mountainlion
none
Patch cfleizach: review+

Description Frédéric Wang (:fredw) 2013-10-09 12:45:57 PDT
The minsize/maxsize attributes allow to specify minimum and maximum size for vertical operators. This should be easy now that MathML length parsing is implemented.

See test 46 and 47 of the MathML Acid 3 test:
http://fred-wang.github.io/AcidTestsMathML/acid3/description.html
Comment 1 Frédéric Wang (:fredw) 2014-02-25 08:33:51 PST
Created attachment 225149 [details]
Patch
Comment 2 Build Bot 2014-02-25 09:23:22 PST
Comment on attachment 225149 [details]
Patch

Attachment 225149 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5399205568839680

New failing tests:
svg/masking/mask-negative-scale.svg
mathml/presentation/mo-stretch.html
Comment 3 Build Bot 2014-02-25 09:23:24 PST
Created attachment 225155 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 4 chris fleizach 2014-02-25 09:46:00 PST
(In reply to comment #3)
> Created an attachment (id=225155) [details]
> Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
> 
> The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
> Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5

Looks like stretch operators are being stretched more than usual in this test. Does it just need to be updated?
Comment 5 Build Bot 2014-02-25 10:01:43 PST
Comment on attachment 225149 [details]
Patch

Attachment 225149 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5086643618840576

New failing tests:
svg/masking/mask-negative-scale.svg
mathml/presentation/mo-stretch.html
Comment 6 Build Bot 2014-02-25 10:01:47 PST
Created attachment 225159 [details]
Archive of layout-test-results from webkit-ews-07 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-07  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 7 Frédéric Wang (:fredw) 2014-02-25 10:05:05 PST
(In reply to comment #4)

> Looks like stretch operators are being stretched more than usual in this test. Does it just need to be updated?

I guess so but I can not see the screenshot. I have not been updating anything on this test but the Mac text reference, since for some reason that was the only thing the bots complained about.

The patch switches from int to LayoutUnit for stretch sizes so I expect that might changes slightly the size. Also, the default minsize (1em) is now taken into account so the small operators may be a bit larger.
Comment 8 chris fleizach 2014-02-25 10:10:44 PST
Created attachment 225160 [details]
image diff

diff looks significant from this image
Comment 9 Frédéric Wang (:fredw) 2014-02-25 10:18:12 PST
(In reply to comment #8)
> Created an attachment (id=225160) [details]
> image diff
> 
> diff looks significant from this image

I think this is a consequence of

https://bugs.webkit.org/show_bug.cgi?id=119043 (that fixes stretchy error on the top)

and 

https://bugs.webkit.org/show_bug.cgi?id=124827 (that makes these fences symmetric per the op dictionary)

but the reference has not been updated since the bots only attached the Mac text output.
Comment 10 Build Bot 2014-02-25 10:55:08 PST
Comment on attachment 225149 [details]
Patch

Attachment 225149 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/6439513119260672

New failing tests:
svg/masking/mask-negative-scale.svg
mathml/presentation/mo-stretch.html
Comment 11 Build Bot 2014-02-25 10:55:12 PST
Created attachment 225162 [details]
Archive of layout-test-results from webkit-ews-04 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-04  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 12 Frédéric Wang (:fredw) 2014-02-25 11:19:46 PST
Created attachment 225164 [details]
Patch
Comment 13 Frédéric Wang (:fredw) 2014-02-25 22:47:16 PST
Committed r164700: <http://trac.webkit.org/changeset/164700>
Comment 14 Frédéric Wang (:fredw) 2014-03-10 12:26:14 PDT
Mass change: add WebExposed keyword to help MDN documentation.